C# Class CascadeSharp.TKGeomBase.gce.gce_MakeCirc2d

Inheritance: gce_Root
Show file Open project: Oblikovati/CascadeSharp Class Usage Examples

Public Methods

Method Description
Operator ( ) : gp_Circ2d
Value ( ) : gp_Circ2d
gce_MakeCirc2d ( ) : System
gce_MakeCirc2d ( gce_MakeCirc2d parameter1 ) : System
gce_MakeCirc2d ( gp_Ax22d Ax_is, double Radius ) : System
gce_MakeCirc2d ( gp_Ax2d XAx_is, double Radius ) : System
gce_MakeCirc2d ( gp_Ax2d XAx_is, double Radius, bool Sense ) : System
gce_MakeCirc2d ( gp_Circ2d Circ, double D_ist ) : System
gce_MakeCirc2d ( gp_Circ2d Circ, gp_Pnt2d Point ) : System
gce_MakeCirc2d ( gp_Pnt2d Center, double Radius ) : System
gce_MakeCirc2d ( gp_Pnt2d Center, double Radius, bool Sense ) : System
gce_MakeCirc2d ( gp_Pnt2d Center, gp_Pnt2d Point ) : System
gce_MakeCirc2d ( gp_Pnt2d Center, gp_Pnt2d Point, bool Sense ) : System
gce_MakeCirc2d ( gp_Pnt2d P1, gp_Pnt2d P2, gp_Pnt2d P3 ) : System

Method Details

Operator() public method

public Operator ( ) : gp_Circ2d
return gp_Circ2d

Value() public method

public Value ( ) : gp_Circ2d
return gp_Circ2d

gce_MakeCirc2d() public method

public gce_MakeCirc2d ( ) : System
return System

gce_MakeCirc2d() public method

public gce_MakeCirc2d ( gce_MakeCirc2d parameter1 ) : System
parameter1 gce_MakeCirc2d
return System

gce_MakeCirc2d() public method

public gce_MakeCirc2d ( gp_Ax22d Ax_is, double Radius ) : System
Ax_is gp_Ax22d
Radius double
return System

gce_MakeCirc2d() public method

public gce_MakeCirc2d ( gp_Ax2d XAx_is, double Radius ) : System
XAx_is gp_Ax2d
Radius double
return System

gce_MakeCirc2d() public method

public gce_MakeCirc2d ( gp_Ax2d XAx_is, double Radius, bool Sense ) : System
XAx_is gp_Ax2d
Radius double
Sense bool
return System

gce_MakeCirc2d() public method

public gce_MakeCirc2d ( gp_Circ2d Circ, double D_ist ) : System
Circ gp_Circ2d
D_ist double
return System

gce_MakeCirc2d() public method

public gce_MakeCirc2d ( gp_Circ2d Circ, gp_Pnt2d Point ) : System
Circ gp_Circ2d
Point gp_Pnt2d
return System

gce_MakeCirc2d() public method

public gce_MakeCirc2d ( gp_Pnt2d Center, double Radius ) : System
Center gp_Pnt2d
Radius double
return System

gce_MakeCirc2d() public method

public gce_MakeCirc2d ( gp_Pnt2d Center, double Radius, bool Sense ) : System
Center gp_Pnt2d
Radius double
Sense bool
return System

gce_MakeCirc2d() public method

public gce_MakeCirc2d ( gp_Pnt2d Center, gp_Pnt2d Point ) : System
Center gp_Pnt2d
Point gp_Pnt2d
return System

gce_MakeCirc2d() public method

public gce_MakeCirc2d ( gp_Pnt2d Center, gp_Pnt2d Point, bool Sense ) : System
Center gp_Pnt2d
Point gp_Pnt2d
Sense bool
return System

gce_MakeCirc2d() public method

public gce_MakeCirc2d ( gp_Pnt2d P1, gp_Pnt2d P2, gp_Pnt2d P3 ) : System
P1 gp_Pnt2d
P2 gp_Pnt2d
P3 gp_Pnt2d
return System